Joomla nieuwste versie 4 of 3.10

Joomla meest recente versie is 4.  Maar ook met 3.10 is uw website helemaal update en veilig. Maar heeft u nog een oude versie (1 1.5, 1.6  1.7 of 2.5) laat uw joomla website z.s.m. migreren naar versie 3 of 4. Ook de php versie is van groot belang bij de veiligheid voor uw website én bezoekers. Er spelen nog meer issues mee bij veiligheid, maar de versie van Joomla en PHP zijn zonder meer cruciaal. 

website update

Twee Joomla versies?

Er bestaan op dit moment tot 17 augustus 2023 twee stabiele Joomla versies 3 en 4. De reden is om ontwikkelaars van extensies de tijd te geven hun software compatible te maken voor versie 4. Beide versies worden ondersteunt met updates m.b.t. security en bug fixes ( oplossingen voor bugs die nog ontdekt worden of die men heeft gerepareerd op verzoek van de Joomla community).

Joomla 4 is in vele opzichten sterk verbeterd t.o.v. versie 3 en het CMS heeft een totaal andere opbouw welke overeenkomsten vertoont met het populaire Wordpress.

Joomla updates

Maak altijd gebruik van de laatste stabiele Joomla versie. De reden is omdat oude versies (ouder dan versie 3) niet meer worden ondersteund door de Joomla ontwikkelaars. Er verschijnen voor oude Joomla versies geen updates meer, met alle risico's. De oplossing is een upgrade ook wel migratie genoemd. Joomla onderhoud uitbesteden is in dit geval het beste advies. Omdat nog niet alle ontwikkelaars hun extensies compatible hebben gemaakt voor Joomla 4 is het advies om gebruik te blijven maken van Joomla 3.10 Als alle extensies en templates die betrekking hebben op uw website wel compatible zijn met 4 staat niets in de weg om de website te laten migreren.

Website onderhoud uitbesteden is tijd- en kostenbesparend. De kosten:  Website onderhoud

PHP versie check

Ook de php versie van uw webhosting pakket is van belang voor een goed en optimaal functioneren van een website. De aanbevolen php versie voor joomla is 8.  Versie  5.3.10  is de minimale php versie voor Joomla 3.x .Voor Joomla 4.x  is een php versie vereist van minimaal 7.2.5. Oude versies werken trager en zijn begrijpelijker wijze ook makkelijker voor hackers om er mee te rommelen en erger. Hosting aangeschaft via WebsiteMet (van combell.nl) is voorzien van de meest veilige php versie welke zonder problemen overweg kan met de extensies in uw website.

Waar vind ik de php versie in het joomla CMS?

In het CMS van Joomla vind u onder het tabje Systeem systeeminformatie. Daar kunt u checken welke php versie actief is voor uw website. Wellicht kunt u de versie aanpassen of verhogen bij uw webhoster (via een service of cpanel). Kan dat niet dan moet u vragen aan de webhoster of zij de php versie kunnen aanpassen. Op de officiële Joomla website staan alle minimale en en aanbevolen (technische) vereisten en instellingen. Gaat het allemaal boven de pet, geen probleem, laat WebsiteMet uw website onderhouden.